Skip to main content
POST
/
audio
/
transcriptions
Create transcription
const form = new FormData();
form.append('model', '<string>');
form.append('audio_url', '<string>');
form.append('audio_b64', '<string>');
form.append('language', '<string>');
form.append('provider', '{
  "order": [
    "<string>"
  ],
  "only": [
    "<string>"
  ],
  "ignore": [
    "<string>"
  ],
  "include_alpha": true,
  "allow_fallbacks": true,
  "require_parameters": true,
  "required_execution_region": "<string>",
  "required_data_region": "<string>",
  "require_zero_data_retention": true,
  "zdr": true,
  "enforce_distillable_text": true,
  "quantizations": [
    "<string>"
  ],
  "sort": "<string>",
  "max_price": {
    "prompt": 123,
    "completion": 123,
    "image": 123,
    "audio": 123,
    "request": 123
  },
  "preferred_min_throughput": 123,
  "preferred_max_latency": 123
}');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.phaseo.ai/v1/audio/transcriptions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.phaseo.ai/v1/audio/transcriptions"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"model\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"audio_url\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"audio_b64\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"language\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"provider\"\r\n\r\n{\r\n \"order\": [\r\n \"<string>\"\r\n ],\r\n \"only\": [\r\n \"<string>\"\r\n ],\r\n \"ignore\": [\r\n \"<string>\"\r\n ],\r\n \"include_alpha\": true,\r\n \"allow_fallbacks\": true,\r\n \"require_parameters\": true,\r\n \"required_execution_region\": \"<string>\",\r\n \"required_data_region\": \"<string>\",\r\n \"require_zero_data_retention\": true,\r\n \"zdr\": true,\r\n \"enforce_distillable_text\": true,\r\n \"quantizations\": [\r\n \"<string>\"\r\n ],\r\n \"sort\": \"<string>\",\r\n \"max_price\": {\r\n \"prompt\": 123,\r\n \"completion\": 123,\r\n \"image\": 123,\r\n \"audio\": 123,\r\n \"request\": 123\r\n },\r\n \"preferred_min_throughput\": 123,\r\n \"preferred_max_latency\": 123\r\n}\r\n-----011000010111000001101001--"
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
curl --request POST \
--url https://api.phaseo.ai/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'model=<string>' \
--form 'audio_url=<string>' \
--form 'audio_b64=<string>' \
--form 'language=<string>' \
--form 'provider={
"order": [
"<string>"
],
"only": [
"<string>"
],
"ignore": [
"<string>"
],
"include_alpha": true,
"allow_fallbacks": true,
"require_parameters": true,
"required_execution_region": "<string>",
"required_data_region": "<string>",
"require_zero_data_retention": true,
"zdr": true,
"enforce_distillable_text": true,
"quantizations": [
"<string>"
],
"sort": "<string>",
"max_price": {
"prompt": 123,
"completion": 123,
"image": 123,
"audio": 123,
"request": 123
},
"preferred_min_throughput": 123,
"preferred_max_latency": 123
}'
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.phaseo.ai/v1/audio/transcriptions"

payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"model\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"audio_url\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"audio_b64\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"language\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"provider\"\r\n\r\n{\r\n \"order\": [\r\n \"<string>\"\r\n ],\r\n \"only\": [\r\n \"<string>\"\r\n ],\r\n \"ignore\": [\r\n \"<string>\"\r\n ],\r\n \"include_alpha\": true,\r\n \"allow_fallbacks\": true,\r\n \"require_parameters\": true,\r\n \"required_execution_region\": \"<string>\",\r\n \"required_data_region\": \"<string>\",\r\n \"require_zero_data_retention\": true,\r\n \"zdr\": true,\r\n \"enforce_distillable_text\": true,\r\n \"quantizations\": [\r\n \"<string>\"\r\n ],\r\n \"sort\": \"<string>\",\r\n \"max_price\": {\r\n \"prompt\": 123,\r\n \"completion\": 123,\r\n \"image\": 123,\r\n \"audio\": 123,\r\n \"request\": 123\r\n },\r\n \"preferred_min_throughput\": 123,\r\n \"preferred_max_latency\": 123\r\n}\r\n-----011000010111000001101001--")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "multipart/form-data")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://api.phaseo.ai/v1/audio/transcriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "multipart/form-data")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"model\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"audio_url\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"audio_b64\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"language\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"provider\"\r\n\r\n{\r\n \"order\": [\r\n \"<string>\"\r\n ],\r\n \"only\": [\r\n \"<string>\"\r\n ],\r\n \"ignore\": [\r\n \"<string>\"\r\n ],\r\n \"include_alpha\": true,\r\n \"allow_fallbacks\": true,\r\n \"require_parameters\": true,\r\n \"required_execution_region\": \"<string>\",\r\n \"required_data_region\": \"<string>\",\r\n \"require_zero_data_retention\": true,\r\n \"zdr\": true,\r\n \"enforce_distillable_text\": true,\r\n \"quantizations\": [\r\n \"<string>\"\r\n ],\r\n \"sort\": \"<string>\",\r\n \"max_price\": {\r\n \"prompt\": 123,\r\n \"completion\": 123,\r\n \"image\": 123,\r\n \"audio\": 123,\r\n \"request\": 123\r\n },\r\n \"preferred_min_throughput\": 123,\r\n \"preferred_max_latency\": 123\r\n}\r\n-----011000010111000001101001--")
.asString();


{
  "text": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

multipart/form-data
model
string
required
audio_url
string<uri>
audio_b64
string
language
string
provider
object

Provider routing preferences for gateway selection.

Response

200 - application/json

Transcription response

text
string
Last modified on April 21, 2026